Package org.wso2.carbon.logging.admin.stub

## Class LoggingAdminConfigurationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.wso2.carbon.logging.admin.stub.LoggingAdminConfigurationException

- All Implemented Interfaces:
    `Serializable`

      public class LoggingAdminConfigurationException
      extends Exception

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LoggingAdminConfigurationException()` |
    `LoggingAdminConfigurationException​(String s)` |
    `LoggingAdminConfigurationException​(String s, Throwable ex)` |
    `LoggingAdminConfigurationException​(Throwable cause)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `LoggingAdminConfigurationException` | `getFaultMessage()` |
    `void` | `setFaultMessage​(LoggingAdminConfigurationException msg)` |

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LoggingAdminConfigurationException

          public LoggingAdminConfigurationException()

    - #### LoggingAdminConfigurationException

          public LoggingAdminConfigurationException​(String s)

    - #### LoggingAdminConfigurationException

          public LoggingAdminConfigurationException​(String s,
                                                    Throwable ex)

    - #### LoggingAdminConfigurationException

          public LoggingAdminConfigurationException​(Throwable cause)

  - ### Method Detail

    - #### setFaultMessage

          public void setFaultMessage​(LoggingAdminConfigurationException msg)

    - #### getFaultMessage

          public LoggingAdminConfigurationException getFaultMessage()